#!/bin/bash 
# BahiaRT 2021 start individual agent

host="localhost"
port=3100
agent=1

# verifica o numero total de argumentos passados é maior que 0 ou 1.
# $# = numero de argumentos
# -gt = is greater than
if [ $# -gt 0 ]; then
	agent="${1}"  
fi
if [ $# -gt 1 ]; then
	host="${2}"  
fi
if [ $# -gt 2 ]; then
	port="${3}"  
fi
if [ $# -gt 3 ]; then
	echo "Default Parameters Usage: $0 <Agent Number>"	
	echo "Custom Parameters Usage: $0 <Agent Number> <Server IP> <Server Port>"
	exit 1
fi

echo "Launching " ${agent}
case $agent in
	1|2|3|6|7|8|10)
		./bahiart -robot naotoe.xml -u ${agent} -h ${host} -p ${port}>/dev/null 2>&1 &	
	;;
	4|5)
		./bahiart -robot nao2.xml -u ${agent} -h ${host} -p ${port}>/dev/null 2>&1 &
	;;
	9|11)
		./bahiart -u ${agent} -h ${host} -p ${port}>/dev/null 2>&1 &
esac

